## fonts-gubbi 1.0

=== Makefile ===
default:
	mkdir -p TTFFiles
	./generate.pe Gubbi.sfd
clean:
	rm -rf TTFFiles

=== debian/changelog ===
fonts-gubbi (1.0-3) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Added fonts-knda-udeb for D-I.
    + Set DM-Upload-Allowed: yes
  * debian/fonts-knda-udeb.install:
    + Introduced this file for fonts-knda-udeb package for D-I
  * debian/fonts-gubbi.install:
    + Renamed existing install file to fonts-gubbi.install
    + Font should be installed to Gubbi directory instead of fonts-gubbi under
      /usr/share/fonts/truetype directory.
  * Renamed 90-fonts-knda.conf to 65.0-fonts-knda.conf to override
    65-nonlatin.conf shipped with fontconfig 
  * debian/fonts-gubbi.preinst:
    + Introduced to remove previously used fonts-gubbi directory before
      installing fonts to Gubbi directory
  * debian/fonts-gubbi.links
    + Renamed the links file to fonts-gubbi.links

 -- Kartik Mistry <kartik@debian.org>  Sun, 19 Feb 2012 20:51:00 +0530

fonts-gubbi (1.0-2) unstable; urgency=low

  * debian/watch:
    + Watch expression now points to new download location

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Tue, 03 Jan 2012 22:26:32 +0530

fonts-gubbi (1.0-1) unstable; urgency=low

  * Initial release (Closes: #651738)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Mon, 12 Dec 2011 12:19:07 +0530

=== debian/control ===
Source: fonts-gubbi
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: https://github.com/aravindavk/Gubbi
Vcs-Git: git://git.debian.org/debian-in/fonts-gubbi.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-gubbi.git;a=summary

Package: fonts-gubbi
Architecture: all
Depends: ${misc:Depends}
Description: Gubbi Kannada font
 This package provides a font for Kannada script (kn) which is
 primarily used in the Indian state of Karnataka.

Package: fonts-knda-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: ${misc:Depends}
Breaks: ttf-kannada-fonts-udeb
Replaces: ttf-kannada-fonts-udeb
Description: Free fonts for Kannada language (udeb)
 This package provides Kannada script font for use with GTK+ front-end
 of debian-installer.

=== debian/watch ===
version=3
#http://githubredir.debian.net/github/aravindavk/Gubbi /v(.*).tar.gz
http://sanchaya.net/downloads/fonts/gubbi-kannada-(\d\.\d\.*\d{0,1})\.tar\.gz

## fonts-gubbi 1.3

=== Makefile ===
VERSION=1.3
CURDIR = $(shell pwd)
TMPDIR := $(shell mktemp -d gubbi.XXX)

GUBBI_TTF = gubbi-ttf-${VERSION}
GUBBI_SOURCE = gubbi-source-${VERSION}
GUBBI_DOWNLOAD = Gubbi-${VERSION}

default:
	./generate.pe Gubbi.sfd; echo "Gubbi.ttf file generated, copy to ~/.fonts/ and run fc-cache"
dist:
	mkdir ${TMPDIR}/${GUBBI_TTF}
	cp ChangeLog COPYING Gubbi.ttf README ${TMPDIR}/${GUBBI_TTF}

	mkdir ${TMPDIR}/${GUBBI_SOURCE}
	cp Makefile ChangeLog COPYING Gubbi.sfd generate.pe README ${TMPDIR}/${GUBBI_SOURCE}

	tar --owner root --group root --mode a+rX -C ${TMPDIR} -cvf - ${GUBBI_TTF} | xz -9 > ${CURDIR}/${GUBBI_TTF}.tar.xz
	tar --owner root --group root --mode a+rX -C ${TMPDIR} -cvf - ${GUBBI_SOURCE} | xz -9 > ${CURDIR}/${GUBBI_SOURCE}.tar.xz
	cd ${TMPDIR} && zip -r ${CURDIR}/${GUBBI_DOWNLOAD}.zip ${GUBBI_TTF}
	rm -rf ${TMPDIR}
clean:
	rm -rf *.ttf

distclean:
	rm -rf ${GUBBI_TTF}.tar.xz
	rm -rf ${GUBBI_SOURCE}.tar.xz
	rm -rf Gubbi-${VERSION}.zip

=== debian/changelog ===
fonts-gubbi (1.3-8) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Fixed clean target. Fixes fails to build source after successful build
      (Closes: #1044743)
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
  * Updated debian/copyright.
  * Updated debian/watch to standard 5.

 -- Kartik Mistry <kartik@debian.org>  Tue, 03 Feb 2026 18:27:15 +0530

fonts-gubbi (1.3-7) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * Updated Standards-Version to 4.6.1

  [ Debian Janitor ]
  * Set Multi-Arch: foreign on package fonts-knda-udeb.

 -- Kartik Mistry <kartik@debian.org>  Thu, 24 Nov 2022 17:55:34 +0530

fonts-gubbi (1.3-6) unstable; urgency=low

  * Team upload.
  [ Kartik Mistry ]
  * debian/control:
    + Bumped Standards-Version to 4.6.0
    + Bumped dh to 13.
  * Updated debian/copyright.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Kartik Mistry <kartik@debian.org>  Fri, 20 May 2022 11:59:13 +0530

fonts-gubbi (1.3-5) unstable; urgency=low

  * debian/control:
    + Set maintainer to Debian Fonts Task Force.

 -- Kartik Mistry <kartik@debian.org>  Thu, 16 Apr 2020 10:11:43 +0530

fonts-gubbi (1.3-4) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Use simple dh format.
  * Added debian/gitlab-ci.yml.
  * debian/control:
    + Updated Vcs-* URLs.
    + Bumped Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Updated debian/copyright.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Thu, 16 Apr 2020 09:37:06 +0530

fonts-gubbi (1.3-3) unstable; urgency=low

  * Upload to unstable

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 11 May 2013 09:41:52 +0530

fonts-gubbi (1.3-2) experimental; urgency=low

  * Replaced the git.d.o with anonscm.d.o in Vcs-* fields
  * Makred fonts-gubbi as Multi-Arch foreign to allow proper installation
    on multi-arch systems.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 03 Mar 2013 13:45:51 +0530

fonts-gubbi (1.3-1) experimental; urgency=low

  * Imported Upstream version 1.3
  [Vasudev Kamath]
  * debian/control:
    + Bumped Standards-Version to 3.9.4, this didn't require any
      change to the package source.
    + Removed DM-Upload-Allowed field as it will be deprecated soon.
    + Regenerated this file using CDBS.
    + Fixed the short and long descriptions.
  * debian/copyright:
    + Reflected the upstream license change
    + Instead of * added file names from upstream
    + Fixed the Format field as per Debian copyright-format 1.0
    + Added Upstream-Contact field.
  * debian/rules:
    + Converted to CDBS format
    + Added variables to enable git-orig-source through CDBS
    + Enabled copyright check using CDBS
  * Reverted debian/compat to 8 to allow backporting.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Fri, 30 Nov 2012 10:08:50 +0530

fonts-gubbi (1.1-1) experimental; urgency=low

  * Watch file points to github again
  * Imported Upstream version 1.1
  * debian/preinst:
    + Removed this file, actually it was my stupidity dpkg is capable
      of removing folder which is not shipped by package. Thanks to
      jwilk and daemonkeeper for pointing me in right direction
  * debian/control:
    + Bumped Standards-Version to 3.9.3. This did not require any
      change to package source
    + Increased minimum version of debhelper required to 9
  * Set debian/compat to 9
  * debian/*.install
    + Upstream doesn't create tarball inside TTFFiles folder any more
      so updated the path

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 18 Aug 2012 20:54:23 +0530

=== debian/control ===
Source: fonts-gubbi
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://github.com/aravindavk/Gubbi
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-gubbi.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-gubbi

Package: fonts-gubbi
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Gubbi free font for Kannada script
 This package provides a font for Kannada script (kn) which is
 primarily used in the Indian state of Karnataka.
 .
 This language is fork of old Kedage font with lots of improvements
 and is now actively maintained by the upstream.

Package: fonts-knda-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: ${misc:Depends}
Breaks: ttf-kannada-fonts-udeb
Replaces: ttf-kannada-fonts-udeb
Multi-Arch: foreign
Description: Free fonts for Kannada language (udeb)
 This package provides Kannada script font for use with GTK+ front-end
 of debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f *.ttf
	rm -rf gubbi.*

=== debian/watch ===
Version: 5

Template: Github
Owner: aravindavk
Project: Gubbi
Update-Script: uupdate
